<?php

/**psr-4 */
require_once "vendor/autoload.php";

/*coneccion */

use App\Libreria\Conexion;
new Conexion();
use App\Models\Solicitante;
use App\Models\File;

require_once('session.php');


if (!empty($_GET['solicitante'])) {

    $solicitante = Solicitante::find($_GET['solicitante']);
    $seguimiento_consulta = File::where('solicitante_id', '=', $_GET['solicitante'])->get();

    $loader = new \Twig\Loader\FilesystemLoader('public/views');
    $twig = new \Twig\Environment($loader, [
        'debug' => true,
        'cache' => false,
    ]);

    echo $twig->render('archivos.html', [
        'solicitante' => $solicitante,
        'archivos' => $seguimiento_consulta,
        'user' => $_SESSION['user'],
        'privilegios' => $_SESSION['privilegios']
    ]);
}
